/*Store Directory*/
.az_store-directory>div:not(.hidden) { display: flex; }
.az_store-directory div.az_store-header { width: 100vw; position: relative; margin-left: -50vw; margin-right: -50vw; left: 50%; right: 50%; 
    background: var(--primary-colour); height: 160px; }
.az_store-directory div.az_store-header>.container { display: flex; justify-content: center; gap:20px; flex-direction: column; height: 100%; padding: 0 10px; }
.az_store-directory div.az_store-header h1 { font-size: 1.75rem; color: #fff; text-transform: uppercase; margin: 0; display: flex; align-items: center; gap: 10px; }
.az_store-directory div.az_store-header h1::before { content: ""; height: 30px; width: 24px; background: url(images/store-pin.svg) center no-repeat; }
.az_store-directory>div.az_store-locations { position: relative;  flex-wrap: wrap; }
.az_store-directory>div.az_store-locations>div:nth-child(1) { width: calc(50% - 170px); background: #fff; display: flex; flex-direction: column; }
.az_store-directory>div.az_store-locations>div.active { width: 1200px; flex: 0 0 auto !important; height: auto; margin: 0 auto 20px; }
.az_store-directory>div.az_store-locations>div:nth-child(2).active { height: auto; }
.az_store-directory>div.az_store-locations>div:nth-child(1)>div.active { overflow: visible; }

.az_store-filters { display: flex; gap:25px; align-items: center;}
.az_store-filters select { padding: 0 10px; background: #FFFFFF; height: 40px; width: 320px; border-color: transparent;
    font-family: inherit; font-size: 0.875rem; outline: none; color: #000; }
.az_store-filters select:focus-visible{border: 1px solid #000;}

.store-search-location{display: flex; background: #fff; height: 40px; width: 320px; padding: 0 10px;}
.store-search-location > a{height: 40px; width: 0; transition: ease-in-out all .3s; background: url(images/round-close.svg) center no-repeat; 
    opacity: 0; visibility: hidden;}
.store-search-location.active{padding-left: 0;}
.store-search-location.active > a{width: 30px; opacity: 1; visibility: visible;}
.store-search-location input{border: 0; flex: 1 0 0; font-size: 0.875rem;}
.store-search-location input::placeholder{color: #000;}

.az_store-directory>div.az_store-locations>div:nth-child(1)>div:first-child { font-size: 1.125rem; line-height: 50px; padding: 0px; display: none; }
.az_store-directory>div.az_store-locations>div:nth-child(1)>div:first-child.active { display: block; }

.az_store-directory>div.az_store-locations>div:nth-child(1)>div:nth-child(2) { display: none; flex-direction: column; flex: auto; position: relative; }
.az_store-directory>div.az_store-locations>div:nth-child(1)>div:nth-child(2).active { display: flex; }
.az_store-directory>div.az_store-locations>div:nth-child(1)>div:nth-child(2).loading:before { content: ''; position: absolute; top: 0; left: 0; right: 0; bottom: 0; z-index: 100000; background: rgba(255, 255, 255, 0.6); }
.az_store-directory>div.az_store-locations>div:nth-child(1)>div:nth-child(2).loading:after { content: ''; position: absolute; top: calc(50% - 20px); left: calc(50% - 20px); width: 40px; height: 40px; border: 4px solid; border-radius: 50%; border-color: var(--primary-colour) transparent transparent transparent; z-index: 100001; animation: spin 1s linear infinite; }

@keyframes spin {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}
.az_store-directory>div.az_store-locations>div:nth-child(1)>div:not(.az_store-details) { flex: auto; overflow-y: scroll !important; max-height: 100%; height: 700px; }
.az_store-directory>div.az_store-locations>div:nth-child(2) { flex: auto; }
.az_store-directory>div.az_store-locations>div:nth-child(2)>div { height: 700px; }

.az_store { cursor: pointer; border: 1px solid #D4D4D4; border-width: 0 1px 1px 0; padding: 10px 0px; display: flex; flex-direction: column; align-items: flex-end; 
    justify-content: center; height: 120px; background: url(images/blue-arrow.svg) right 10px center no-repeat #fff; 
    transition: ease-in-out all .3s; position:relative; }

.az_store>div { background: url(images/map-pin.svg) left top 5px no-repeat; background-size: 14px; margin-left: 30px; padding-left: 25px; width: 500px;}
.az_store>div>div:first-child { font-size: 1.25rem; line-height: 30px; color: var(--primary-colour); text-transform: uppercase; font-family: var(--secondary-font);
    font-weight: bold;}
.az_store>div>div:nth-child(2) { font-size: 0.75rem; line-height: 24px; color: #252626; padding-right: 20px; }
.az_store>div>div:nth-child(3) { font-size: 0.75rem; color: #18381C; line-height: 20px; display: flex; gap: 10px; }
.az_store>div>div:nth-child(3) span { display: flex; align-items: center; gap: 5px; color: #000;}
.az_store>div>div:nth-child(3) a { color: inherit; text-decoration: underline; }
.az_store:hover, .az_store.active { background-color: #F8F8F8; }

.az_store-details { display: flex; flex-direction: column; justify-content: stretch; overflow: auto; height: auto; width: 500px; 
    margin-left: auto; margin-right: 20px; padding: 20px 0;}

.store-details-back{display: flex; gap:5px; align-items: center; font-size: 0.75rem; color: #000 !important; font-weight: bold; margin-bottom: 20px;}
.store-details-back::before{content: ""; height: 8px; width: 8px; flex-shrink: 0; border: solid var(--primary-colour); 
    border-width: 0 0 2px 2px; transform: rotate(45deg);}

.az_store_details{display: flex; flex-direction: column; gap: 20px; padding-left: 25px; background: url(images/map-pin.svg) top left no-repeat;}
.az_store_details .az_store_info{display: flex; flex-direction: column; gap:5px;}
.az_store_details .az_store_additional_info{color: #000;}
.az_store_details .az_store_title{ font-size: 1.25rem; line-height: 30px; color: var(--primary-colour); text-transform: uppercase; font-family: var(--secondary-font);
    font-weight: bold;}

.az_store_details .az_store_hours_container{display: flex; flex-direction: column; gap:10px; padding: 15px; background: #F6F6F6;}
.az_store_details .az_store_hours_container > span{font-weight: bold; display: flex; align-items: center; 
    gap:10px; color: var(--primary-colour);}
.az_store_details .az_store_hours_container > span::before{content: ""; height: 16px; width: 16px; flex-shrink: 0; background: url(images/hours.svg) center no-repeat;}
.az_store_details .az_store_hours_container > div{line-height: 1.8;}

.az_store-directory.details_open .gm-style-iw-a { display: none; }
.gm-style-iw-d{padding-bottom: 20px !important;}
.gm-ui-hover-effect{height: 30px !important; width: 30px !important; background: url(images/round-close.svg) center no-repeat !important; opacity:1 !important; }
.gm-ui-hover-effect span{display: none !important;}

/*Store Map Pop up*/
.store_popup { width: 320px; }
.store_popup .store_info { display: flex; flex-direction: column; align-items: flex-start; margin-bottom: 10px; }
.store_popup .store_info>div { width: 100%; }
.store_popup .sp_title { color:var(--primary-colour); font-weight: bold; font-size:1.25rem; font-family: var(--secondary-font); text-transform: uppercase; 
    text-align: center; margin-bottom:5px; }
.store_popup .sp_address { color: #000; font-size: 0.75rem; line-height: 20px; text-align: center; }
.store_popup .phone{color: #000 !important; font-size: 0.875rem; text-align: center;}
.store_popup .store_buttons{display: flex; align-items: center; justify-content: center;}
.store_popup .store_buttons strong{font-weight: bold;}

.az_store-locations .gm-style-iw.gm-style-iw-c { border-radius: 0; }



/*Responsive States*/
@media (min-width:1200px) and (max-width:1400px) {
    .az_store{padding: 10px;}
    .az_store>div{width: 100%; }
    .az_store-details{width:100%; padding: 15px 10px;}
}

@media (min-width:992px) and (max-width:1199px) {
    .az_store>div{width: 315px;}
    .az_store-details{width: 315px; padding: 15px 10px;}
}

/*Mobile & Tablet*/
@media (max-width:991px) {

    /*Store Locator*/
    .az_store-directory div.az_store-header { height: initial; }
    .az_store-directory div.az_store-header>.container { flex-direction: column; padding: 20px 10px; gap: 10px; }
    .az_store-directory>div:not(.hidden) { flex-direction: column; }
    .az_store-directory div.az_store-header h1{font-size: 1.5rem !important;}
    .az_store-filters{flex-direction: column; width: 100%; gap:10px;}
    .az_store-filters select, .store-search-location { width: 100%; }
    .az_store-directory>div.az_store-locations>div:nth-child(1) { width: 100%; order: 2; }
    .az_store-directory>div.az_store-locations>div:nth-child(2) { order: 1; }
    .az_store-directory.details_open .az_store-locations>div:nth-child(2)>div, .az_store-directory>div.az_store-locations>div:nth-child(2)>div { height: 320px; }
    .az_store { padding: 15px 10px; height: initial; min-height: 110px; }
    .az_store>div { margin: 0; width: 100%; }
    .gm-style-iw.gm-style-iw-c, .gm-style .gm-style-iw-d { max-height: 170px !important; }
    .az_store-directory>div.az_store-locations>div:nth-child(1)>div:not(.az_store-details) { height: initial; max-height: 500px;}
    .az_store-details{width: 100%; padding: 15px;}
    .az_store-directory.details_open .az_store-locations>div:nth-child(2) { width: 100%; margin: 0 0 20px 0; }
    .az_store-directory.details_open .az_store-locations>div:nth-child(1) { width: 100%; margin: 0; }
    .store_popup { width: initial; }
    .az_store-locations .gm-style-iw.gm-style-iw-c { max-width: initial !important; width: 270px; }
    .gm-style-iw-d {padding-bottom: 0px !important; }
    h1.az_store_title { font-size: 1.25rem; }

}

/* --------------Tablet------------------- */
@media (min-width:768px) and (max-width:959px) {

}

/* --------------Mobile------------------- */
@media (max-width:767px) {

   
}
